{% extends 'base.html.twig' %}

{% block title %}{{page_title}}{% endblock %}

{% block body %}

{{form_start(emp_form,{"attr":{
    'novalidate':'novalidate'
}})}}
<div class="row">
<div class="col-md-6 col-xs-12">
    <div class="content-box-header">
        <div class="panel-title">{{"Employee data"|trans}}</div>
      
      <div class="panel-options">
         
      </div>
    </div>
    <div class="content-box-large box-with-header">
            
            {{form_row(shipping_addr_form._token)}}
            
            {{form_row(billing_addr_form._token)}}

            {{form_row(emp_form.first_name)}}

            {{form_row(emp_form.middle_name)}}
   
            {{form_row(emp_form.last_name)}}
   
            {{form_row(emp_form.email)}}
   
            {{form_row(emp_form.phone_number)}}
   
            {{form_row(emp_form.identification)}}
   
            {{form_row(emp_form.user)}}

            {{form_row(emp_form.position)}}

            {{form_row(emp_form.departments)}}

            <div class="action">
                    <button class="btn btn-primary" type="submit">
                    {{"Add"|trans}}
                    </button>
            </div> 
   
           

  </div>
</div>
<div class="col-md-6 col-xs-12">
        <div class="content-box-header">
            <div class="panel-title">{{"Address data"|trans}}</div>
          
          <div class="panel-options">
             
          </div>
        </div>
        <div class="content-box-large box-with-header">
         <div class="form-group row">
            <label class="col-form-label col-sm-4 " >{{'Shipping address'|trans}}</label>
         </div>   
               
       {{form_row(shipping_addr_form.street)}}

       {{form_row(shipping_addr_form.number)}}

       {{form_row(shipping_addr_form.postcode)}}

       {{form_row(shipping_addr_form.city)}}

       {{form_row(shipping_addr_form.country)}}

       <div class="form-group row">
            <label class="col-form-label col-sm-4 " >{{'Billing address'|trans}}</label>
        </div>   
               
       {{form_row(billing_addr_form.street)}}

       {{form_row(billing_addr_form.number)}}

       {{form_row(billing_addr_form.postcode)}}

       {{form_row(billing_addr_form.city)}}

       {{form_row(billing_addr_form.country)}}
                
      </div>
</div>
</div> 
<div class="row">
    <div class="col-md-6 col-xs-12">
        <div class="content-box-header">
            <div class="panel-title">{{"Employee files"|trans}}</div>
          
          <div class="panel-options">
             
          </div>
        </div>
        <div class="content-box-large box-with-header ">
          <div class="file-messages" >
    
          </div>
         <div class="js-append-files">
    
         </div>
    
      </div>
      
    </div> 
<div class="col-md-6 col-xs-12">
        <div class="content-box-header">
            <div class="panel-title">{{"Financial data"|trans}}</div>
          
          <div class="panel-options">
             
          </div>
        </div>
        <div class="content-box-large box-with-header">
                
                {{form_row(financial_form._token)}}
                
                {{form_row(financial_form.account)}}
                 
                {{form_row(financial_form.hours_per_week)}}

                {{form_row(financial_form.payment_per_hour)}}
               
    
      </div>
    </div>
    
</div>
{{form_end(emp_form)}}
<div class="row">
    <div class="col-md-12 col-xs-12">
        <div class="content-box-header">
            <div class="panel-title">{{"Upload files"|trans}}</div>
          
          <div class="panel-options">
             
          </div>
        </div>
        <div class="content-box-large box-with-header">
    
      
                {{generate_dropzone(employee,0,emp_form.token.vars.value,{
                  singular:false
                })}}
            
    
      </div>
    </div>
</div>
{% endblock %}
{% block scripts %}

  {{parent()}}

  <script src="{{asset('js/dropzone-generator.js')}}"></script>

{% endblock %}

